<?php
/**
 * @package Tabaoca.Component.Tabapapo.Administrator
 * @subpackage com_tabapapo
 * @copyright (C) 2023 Jonatas C. Ferreira
 * @license GNU/AGPL v3 (see licence.txt)
 */

namespace Tabaoca\Component\Tabapapo\Administrator\Controller;

\defined('_JEXEC') or die;

use Joomla\CMS\MVC\Controller\FormController;
use Joomla\CMS\Router\Route;

/**
 * Form Controller of Tabapapo Chat component
 *
 * @package     Tabaoca.Component.Tabapapo.Administrator
 * @subpackage  com_tabapapo
 * @since       1.0.0
 */

class TabapapoController extends FormController
{
	public function batch($model = null)
	{
		$this->checkToken();

		$model = $this->getModel('Tabapapo', 'Administrator', []);

		$this->setRedirect(Route::_('index.php?option=com_tabapapo&view=tabapapos' . $this->getRedirectToListAppend(), false));

		return parent::batch($model);
	}
}