<?php
/**
 * @package Tabaoca.Component.Tabapapo.Administrator
 * @subpackage com_tabapapo
 * @copyright (C) 2023 Jonatas C. Ferreira
 * @license GNU/AGPL v3 (see licence.txt)
 */

\defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Layout\LayoutHelper;

$displayData = [
	'textPrefix' => 'COM_TABAPAPO',
	'formURL' => 'index.php?option=com_tabapapo',
	'helpURL' => 'https://tabaoca.org',
	'icon' => 'icon-comments-2',
];

$user = Factory::getApplication()->getIdentity();

if ($user->authorise('core.create', 'com_tabapapo') || count($user->getAuthorisedCategories('com_tabapapo', 'core.create')) > 0) {
	$displayData['createURL'] = 'index.php?option=com_tabapapo&task=tabapapo.add';
}

echo LayoutHelper::render('joomla.content.emptystate', $displayData);
