<?php
/**
 * @package Tabaoca.Component.Tabapapo.Site
 * @subpackage com_tabapapo
 * @copyright (C) 2023 Jonatas C. Ferreira
 * @license GNU/AGPL v3 (see licence.txt)
 */

namespace Tabaoca\Component\TAbapapo\Site\View\Tabapapos;

\defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\MVC\View\JsonView as BaseJsonView;
use Joomla\CMS\Factory;

class JsonView extends BaseJsonView {

   
	/**
	 * Display the Tabapapo view
	 *
	 * @param   string  $tpl  The name of the template file to parse; automatically searches through the template paths.
	 *
	 * @return  void
	 */
	public function display($tpl = null)
	{
		$this->item = $this->get('Item');
		
		$globalConfig = Factory::getConfig();
		$this->users_limit_global = $globalConfig->get('users_limit', 'No Users Limit');       
      
		parent::display($tpl);
	}
	
   
}

